Delete a customer property
DELETE/api/v1/workspaces/{workspace_slug}/customer-properties/{property_id}/
Permanently delete a customer property from the workspace.
Path Parameters
resource_id:requiredstringThe unique identifier of the resource.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Scopes
customers.properties:write
Delete a customer property
bash
curl -X DELETE \
"https://api.plane.so/api/v1/workspaces/my-workspace/customer-properties/property-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"python
import requests
response = requests.delete(
"https://api.plane.so/api/v1/workspaces/my-workspace/customer-properties/property-uuid/",
headers={"X-API-Key": "your-api-key"}
)
print(response.status_code)javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/customer-properties/property-uuid/", {
method: "DELETE",
headers: {
"X-API-Key": "your-api-key",
},
});
console.log(response.status);Response204
No response body.

